# file      : build/xsd/xsd-cxx.make
# author    : Boris Kolpackov <boris@codesynthesis.com>
# copyright : Copyright (c) 2005-2006 Code Synthesis Tools CC
# license   : GNU GPL v2 + exceptions; see accompanying LICENSE file

#$(call include,$(bld_root)/cxx/gnu/configuration.make)

#@@ Need to use extensions from cxx config.
#

xsd_pattern :=                     \
$(out_base)/%$(xsd_cxx_suffix).cxx \
$(out_base)/%$(xsd_cxx_suffix).hxx \
$(out_base)/%$(xsd_cxx_suffix).ixx \
$(out_base)/%$(xsd_cxx_suffix).txx

$(xsd_pattern): xsd := xsd
$(xsd_pattern): xsd_command := cxx-tree
$(xsd_pattern): xsd_options +=

.PRECIOUS: $(xsd_pattern)

$(xsd_pattern): $(out_base)/%.xsd | $$(dir $$@).
	$(call message,xsd $<,$(xsd) $(xsd_command) $(xsd_options) --output-dir $(dir $@) $<)

ifneq ($(out_base),$(src_base))

$(xsd_pattern): $(src_base)/%.xsd | $$(dir $$@).
	$(call message,xsd $<,$(xsd) $(xsd_command) $(xsd_options) --output-dir $(dir $@) $<)

endif


.PHONY: $(out_base)/%$(xsd_cxx_suffix).cxx.xsd.clean

$(out_base)/%$(xsd_cxx_suffix).cxx.xsd.clean:
	$(call message,rm $(@:.cxx.xsd.clean=.cxx),rm -f $(@:.cxx.xsd.clean=.cxx))
	$(call message,rm $(@:.cxx.xsd.clean=.hxx),rm -f $(@:.cxx.xsd.clean=.hxx))
	$(call message,rm $(@:.cxx.xsd.clean=.ixx),rm -f $(@:.cxx.xsd.clean=.ixx))
	$(call message,rm $(@:.cxx.xsd.clean=.txx),rm -f $(@:.cxx.xsd.clean=.txx))

# Reset the config variables so they won't take effect in other places.
#
xsd_cxx_suffix :=
