#include <iostream>

#include "test.hxx"

using std::cerr;
using std::endl;

int
main (int argc, char* argv[])
{
  if (argc != 2)
  {
    cerr << "usage: " << argv[0] << " test.xml" << endl;
    return 1;
  }

  try
  {
    std::auto_ptr<TopOrBottomType> t (test (argv[1]));

    switch (*t)
    {
    case TopOrBottomType::top:
      {
        cerr << "top" << endl;
        break;
      }
    case TopOrBottomType::bottom:
      {
        cerr << "bottom" << endl;
        break;
      }
    }
  }
  catch (xml_schema::exception const& e)
  {
    cerr << e << endl;
    return 1;
  }
}
